# Partially Update Release Group

Partially update a release group without recreating releases. Currently supports updating autoExecuteOnSchedule field.

Endpoint: PATCH /rmg/api/releaseGroup/{releaseGroupId}
Version: 1.0
Security: x-api-key

## Path parameters:

  - `releaseGroupId` (string, required)
    The ID of the release group to be updated.

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

## Request fields (application/json):

  - `autoExecuteOnSchedule` (boolean)
    Automatically execute releases when their scheduled time arrives

## Response 200 fields (application/json):

  - `id` (string, required)

  - `autoExecuteOnSchedule` (boolean)

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


